Get a vault by id
GET
/vaults/{id}
const url = 'https://api.engram.page/vaults/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.engram.page/vaults/example \ --header 'Authorization: Bearer <token>'Returns the vault with the given UUID along with its current note and attachment counts, or 404 if it does not exist or belong to the user. Opening a vault also emits a vault_opened analytics event.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Vault UUID
Responses
Section titled “Responses”Vault
Media typeapplication/json
VaultResponse
object
vault
required
Vault
object
attachment_count
integer
created_at
string format: date-time
deleted_at
string format: date-time
description
string
encrypted
Always true — vaults are encrypted at rest.
boolean
id
required
string format: uuid
is_default
boolean
name
required
string
note_count
integer
purge_at
When a soft-deleted vault is hard-purged (deleted_at + 30d).
string format: date-time
slug
string
Examplegenerated
{ "vault": { "attachment_count": 1, "created_at": "2026-04-15T12:00:00Z", "deleted_at": "2026-04-15T12:00:00Z", "description": "example", "encrypted": true, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_default": true, "name": "example", "note_count": 1, "purge_at": "2026-04-15T12:00:00Z", "slug": "example" }}No such vault
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}